{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.eel_water_land": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "land": "!q.is_in_water"
            },
            {
              "water": "q.is_in_water"
            }
          ]
        },
        "land": {
          "on_entry": ["@s silverlabs_nat:eel_on_land"],
          "transitions": [
            {
              "water": "q.is_in_water"
            }
          ]
        },
        "water": {
          "on_entry": ["@s silverlabs_nat:eel_in_water"],
          "transitions": [
            {
              "land": "!q.is_in_water"
            }
          ]
        }
      }
    }
  }
}
